Bug 117555 - ALSA master volume mixed up with headphone for Intel 845G with AD1981A AC'97 codec
ALSA master volume mixed up with headphone for Intel 845G with AD1981A AC'97 ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 06:31 EST by vvs
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 02:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2004-03-05 06:31:08 EST
Description of problem:

I have a Compaq Evo D310vm with Intel 845G chipset and AD1981A AC'97
codec. When I change the master volume in alsamixer I get no sound,
but when I change headphone volume I get correct sound volume. That
was not happened before with kernel 2.4 and OSS.

Version-Release number of selected component (if applicable):

kernel-2.6.3-1.118

How reproducible:

Always

Steps to Reproduce:
1. run alsamixer on computer with similar hardware configuration
2. check out headphone volume vs. master volume behaviour
  
Actual results:

The master volume does not affect the volume at all while headphone does

Expected results:

It should change master volume

Additional info:
Comment 1 Dave Jones 2004-12-08 19:21:44 EST
any improvement with latest updates ?
Comment 2 vvs 2004-12-09 01:06:42 EST
I had an opportunity to test it with kernel 2.4 again and it turned out that I
was wrong. It happen with it too. Seems that it is all Compaq's fault. And now
we have upgraded our computers here at work so I can't test it anymore. Sorry
for not reporting this earlier.

Note You need to log in before you can comment on or make changes to this bug.